petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatFactorGetSolverPackage

Returns name of the package providing the factorization routines

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetSolverPackage(Mat mat, const MatSolverPackage *type)

Not Collective

### Input Parameter

mat -the matrix, must be a factored matrix

### Output Parameter

type -the string name of the package (do not free this string)

### Notes

In Fortran you pass in a empty string and the package name will be copied into it. (Make sure the string is long enough)

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable(), MatGetFactor()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages